%define upstream_name    Ref-Util-XS
%define upstream_version 0.117

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Create bare-bones Makefile.PL files for use with dzil
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Ref/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Concise)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
Ref::Util::XS is the XS implementation of Ref::Util, which provides several
functions to help identify references in a more convenient way than the
usual approach of examining the return value of 'ref'.

You should use Ref::Util::XS by installing Ref::Util itself: if the system
you install it on has a C compiler available, Ref::Util::XS will be
installed and used automatically, providing a significant speed boost to
everything that uses Ref::Util.

See the Ref::Util manpage for full documentation of the available
functions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.117.0-11.mga10
+ Revision: 2087760
- Rebuild against new perl

* Sun Nov 26 2023 tv <tv> 0.117.0-10.mga10
+ Revision: 2009879
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.117.0-9.mga9
+ Revision: 1862366
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.117.0-8.mga9
+ Revision: 1796020
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.117.0-7.mga9
+ Revision: 1727053
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.117.0-6.mga8
+ Revision: 1595151
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.117.0-5.mga8
+ Revision: 1528837
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 0.117.0-4.mga8
+ Revision: 1432696
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.117.0-3.mga7
+ Revision: 1293743
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 shlomif <shlomif> 0.117.0-2.mga7
+ Revision: 1247972
- Rebuild for new perl

* Fri Feb 09 2018 tv <tv> 0.117.0-1.mga7
+ Revision: 1199865
- update to 0.117

* Tue Oct 03 2017 tv <tv> 0.116.0-3.mga7
+ Revision: 1166398
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.116.0-2.mga7
+ Revision: 1149122
- Rebuild for perl ABI changes

* Sat Jul 22 2017 shlomif <shlomif> 0.116.0-1.mga7
+ Revision: 1128267
- imported package perl-Ref-Util-XS


* Sat Jul 22 2017 cpan2dist 0.116-1mga
- initial mageia release, generated with cpan2dist
